# hilo公共代码

# 项目架构

+ 目录说明
    + mycontext: 上下文
    + mylogrus: 日志包
    + resource: 资源层
        + config: 配置相关
        + consul: 注册中心
        + mysql: 数据库
        + redisCli: 缓存
    + domain: 领域层
        + ctx.go: 定义ctxAndDb
        + model.go: 通用model
        + event.go: 抽象定义event
    + rpc: rpc请求
        + const.go: 常量
        + http.go: 封装http相关
    + internal
        + 内部用的结构体,避免和上游的冲突
    + txop: 需事务操作的行为
        + 例如 下发钻石/勋章/座驾等
        + 支持捆绑上述操作,用于替换rpc发奖品
    + utils: 工具包
    + script: 临时脚本
